Page MenuHomePhabricator

hg-core: add `Changlog` a specialized `Revlog`
ClosedPublic

Authored by acezar on Sep 11 2020, 3:52 AM.

Details

Summary

A facade to Revlog to provide a changelog specific interface.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 11 2020, 3:52 AM
Alphare accepted this revision.Sep 17 2020, 5:57 AM
Alphare added a subscriber: Alphare.

Minor nits, this looks good.

rust/hg-core/src/revlog/changelog.rs
39

/s/know/knows/

57

or_or(RevlogError::Corrupted) is shorter and has the same behavior.

acezar updated this revision to Diff 22718.Sep 18 2020, 9:08 AM
acezar marked 2 inline comments as done.Sep 18 2020, 9:10 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.